Subject: RE: I-D ACTION:draft-ietf-ipngwg-multi-isp-00.txt

From: [email-masked]
Date: Thu, 23 Sep 1999 11:36:10 +0100

> -----Original Message-----
> From:	Richard Draves [SMTP:[email-masked]]
> Sent:	Wednesday, September 22, 1999 8:22 PM
> To:	'Francis Dupont'
> Cc:	'IPng List'
> Subject:	RE: I-D ACTION:draft-ietf-ipngwg-multi-isp-00.txt
> 
> I like the idea of using router renumbering to temporarily deprecate the
> prefix obtained from a broken ISP. This would improve source address
> selection. 
> 
> Is there a problem with the denial-of-service provisions in RFC 2462
> (stateless address autoconf)? When I first implemented that provision I
> thought it should apply to both the valid lifetime and preferred lifetime
> (which would prevent abruptly setting the preferred lifetime down to
> zero),
> but rereading the text now it seems to apply to only the valid lifetime.
> 
	Wouldn't Authenticated RR servers solve the problem? RR assumes that
you use it under secure infrastructure, otherwise the above might be the
least of your problems?

	George

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Matt Crawford" <[email-masked]>
Date: Thu, 23 Sep 1999 10:40:30 -0500

> > ...

No, Rich is talking about the router-to-host communication of the
lifetimes which were modified by the (secure, I hope!) network-
management-to-router RR transaction.

The host does not participate in RR so all it sees is that some
prefix which was recently advertised with a big preferred lifetime
now has a zero.

Securing the router advertisements is possible in theory, but I do
not think it will be practical for quite some time.

				Matt